# Prediction code for Python for the PhysioNet/CinC Challenge 2019

## Contents

This prediction code uses three scripts:

* `train_classifier.py` takes a set of training files and generates a model pickle file (my_model.pkl) and a file with the column mean for every column in the training dataset (trainingData_colMeans.txt). This script needs to be run only once.
* `get_sepsis_score.py` makes predictions on clinical time-series data. Reads in the `my_model.pkl` and the `trainingData_colMeans.txt` generated by the `train_classifier.py` file and uses them to generate labels for test data inputs supplied through `driver.py`.
* `driver.py` calls `load_sepsis_model` once and `get_sepsis_score` many times. It also performs all file input and output.  **Do not** edit this script -- or we will be unable to evaluate your submission.

Check the code in these files for the input and output formats for the `load_sepsis_model` and `get_sepsis_score` functions.

## Use

You can run this prediction code by installing and loading all the packages and their appropriate versions, as mentioned in the `requirements.txt` file. 

NOTE: `my_model.pkl` and `trainingData_colMeans.txt` files should be in the same directory as `driver.py`.

    python driver.py input_directory output_directory

where `input_directory` is a directory for input data files and `output_directory` is a directory for output prediction files.  The PhysioNet/CinC 2019 webpage provides a training database with data files and a description of the contents and structure of these files. This code has been tested successfully in python 3.7.3

## Details

See the PhysioNet/CinC 2019 webpage for more details, including instructions for the other files in this repository.
